> For the complete documentation index, see [llms.txt](https://api.webimpian.support/bayarcash/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.webimpian.support/bayarcash/transaction/transaction-id.md).

# Transaction ID

***

<mark style="color:red;">v2</mark>  <mark style="color:blue;">`GET`</mark>  `console.bayar.cash/api/v2/transactions/{transaction_id}`\ <mark style="color:red;">v3</mark>  <mark style="color:blue;">`GET`</mark>  `api.console.bayar.cash/v3/transactions/{transaction_id}`

***

At any given time, you can request a transaction ID to check on the current status. It will return the transaction object.

Example of sending <mark style="color:blue;">`GET`</mark> request with cURL.

```markup
curl -X GET https://api.console.bayar.cash/v3/transactions/trx_z88ymJ \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer <Personal_Access_Token>'
```

Example of JSON structured response.

```json
{
    "id": "trx_q6LJdl",
    "updated_at": "2023-05-26 13:35:01",
    "datetime": "2023-05-26 13:29:06",
    "order_number": "24354620275",
    "payer_name": "Mohd Ali",
    "payer_email": "mohd.ali@gmail.com",
    "payer_telephone_number": "60111157245",
    "currency": "MYR",
    "amount": 50,
    "exchange_reference_number": "1-685-0718-946-53336",
    "exchange_transaction_id": "23052613290110936",
    "payer_bank_name": "Bank Islam",
    "status": 3,
    "status_description": "Approved",
    "return_url": "https://website.net/api/return_url",
    "metadata": null,
    "payout": {
        "reference_number": "P1685011113148329"
    },
    "payment_gateway": {
        "name": "FPX",
        "code": "FPX"
    },
    "portal": "Portal ABC",
    "merchant": {
        "name": "Web Impian Sdn. Bhd.",
        "email": "webimpian.merchant@gmail.com"
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.webimpian.support/bayarcash/transaction/transaction-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
